zsnes (1.510+bz2-8build3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:20:40 +0000

zsnes (1.510+bz2-8build2) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:34:10 +0000

zsnes (1.510+bz2-8build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:48:07 +0000

zsnes (1.510+bz2-8) unstable; urgency=medium

  * Correct typo in hurd.patch (Closes: #720941)
  * Bump Standards-Version to 3.9.5 (no changes).
  * Remove useless debian/dirs.
  * Remove version bounds satisfied in oldstable.

 -- Etienne Millon <me@emillon.org>  Fri, 16 May 2014 17:29:50 +0200

zsnes (1.510+bz2-7) unstable; urgency=low

  [ Eshat Cakar ]
  * Remove myself from uploaders.

  [ Etienne Millon ]
  * New patch to fix FTBFS on hurd-i386, thanks to Svante Signell.
    (Closes: #720941)
  * Update my email address.
  * Add zsnes-dbg, a package containing the debugging symbols.
    (Closes: #729969)
  * zsnes-linux-resume-freeze-fix.patch: do arithmetic on unsigned long long.
    Thanks to Cedric Dourneau (Closes: #740860).
  * Fix lintian errors:
  - privacy-breach-w3c-valid (remove links)
  - privacy-breach-donation (replace by DEP12)
  - privacy-breach-logo (remove image tags)

 -- Etienne Millon <me@emillon.org>  Tue, 06 May 2014 10:15:30 +0200

zsnes (1.510+bz2-6) unstable; urgency=low

  [ Fabian Greffrath ]
  * 0001-gcc-fno-rtti.patch: Removed, one less deviation from upstream.
  * 0002-replace_crc32.patch: Removed, not actually needed at all.
  * 0013-Fix-sound-with-libao.patch: Replace with the actual patch from
    upstream SVN.
  * 0014-Initialize-driver_format.matrix-with-NULL.patch: Only keep the
    memset() part as discussed with upstream author Nach on the ZSNES board.
  * Set Architecture: any-i386.
  * Add CPPFLAGS to CFLAGS and CXXFLAGS to enable full hardening flags.
  * fortify-source.patch: New patch to fix compilation with FORTIFY_SOURCE.
    (Closes: #698990)

  [ Etienne Millon ]
  * Fix crashes on resume : use int64s instead of floats in sem_GetTicks().
    Thanks to Ian Munsie. (Closes: #687107)
  * Fix loading states with _FORTIFY_SOURCE enabled.
    Thanks to Nelson Elhage. (Closes: #712790)
  * Add keywords to desktop file.
  * Bump Standards-Version to 3.9.4 (no changes).
  * Canonicalize VCS-* fields.

 -- Etienne Millon <etienne.millon@gmail.com>  Sat, 20 Jul 2013 12:28:28 +0200

zsnes (1.510+bz2-5) unstable; urgency=low

  * Build zsnes without libao support for wheezy.
    libao has often been a source of trouble for zsnes. Without libao support
    it will fall back to the SDL audio driver. Furthermore it will make it
    possible to install the zsnes package via multi-arch (see #638741).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 02 Nov 2012 15:07:44 +0100

zsnes (1.510+bz2-4) unstable; urgency=low

  [ Etienne Millon ]
  * Disable build on amd64 (Closes: #679526)
    - Add Multi-Arch: Foreign
  * debian/compat : use level 9 compatibility level
  * debian/rules :
    - use find -delete instead of command expansion
    - use dpkg-buildflags
    - add -Wl,--as-needed to LDFLAGS (Closes: #607311)

  [ Eshat Cakar ]
  * Improve zsnes.desktop file, thanks to Fabian Greffrath (Closes: #680054)

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * 0001-gcc-fno-rtti.patch: Patch src/configure.in instead of the
    auto-generated src/configure.
  * Add patch to initialize the ao_sample_format structure
    (thanks also to Goswin von Brederlow - Closes: #679826)
  * Install high-res PNG icons provided with the sources (Closes: #680078)

 -- Etienne Millon <etienne.millon@gmail.com>  Fri, 06 Jul 2012 08:27:08 +0200

zsnes (1.510+bz2-3) unstable; urgency=low

  * New patches :
    - handle the nostrip build option (Closes: #438384)
    - fix FTBFS with gcc 4.7 (Closes: #667429)
    - fix audio output with libao (Closes: #470410)
  * Build-depend on libpng-dev instead of libpng12-dev (Closes: #662578)
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Etienne Millon <etienne.millon@gmail.com>  Tue, 08 May 2012 15:17:42 +0200

zsnes (1.510+bz2-2) unstable; urgency=low

  * Add a patch to fix build with libpng 1.5
    (Closes: #649801, thanks to Nobuhiro Iwamatsu).
  * Enable the built-in debugger (Closes: #513201).
  * Use dh-autoreconf instead of autotools-dev.
  * Add a patch fixing hat positions not resetting properly (thanks to hakonrk
    & Simeon Maxein).
  * Add explicit dependency on libgl-dev or its implementation
    (Closes: #641277, thanks to Matthias Klose).
  * Bump Standards-Version to 3.9.2 (no changes).

 -- Etienne Millon <etienne.millon@gmail.com>  Sun, 18 Dec 2011 21:30:11 +0100

zsnes (1.510+bz2-1) unstable; urgency=low

  * Use upstream tarball (in bzip2 format) instead of a custom gzip one.
  * debian/rules: add -lpthread to LDFLAGS to fix FTBFS with new binutils
    (Closes: #620656)
  * debian/control:
    - Remove an incorrect statement about multiplayer in the description
    (Closes: #616445)
  * Document patches in DEP3 headers .
  * Prevent installation of upstream-provided license.htm instead of deleting
    it.

 -- Etienne Millon <etienne.millon@gmail.com>  Mon, 04 Apr 2011 12:07:05 +0200

zsnes (1.510-3) unstable; urgency=low

  * New maintainer (Closes: #573418).
    - This package is now maintained by the Debian Games Team.
    - Add Eshat Cakar and myself to Uploaders.
  * Remove useless build-deps on xlibmesa-gl-dev and xutils (Closes: #579040).
  * Add support for amd64 (Closes: #402104)
  * debian/control: clarifiy description thanks to Ubuntu patch
    (Closes: #487118)
  * Add ${misc:Depends} to dependencies.
  * Add debian/watch file.
  * Switched to '3.0 (quilt)' format.
  * Bump Standards-Version to 3.9.1 (no changes).
  * zsnes.desktop: removed useless Encoding field.
  * zsnes.doc-base: removed 'Apps/' prefix from Section.
  * Build know copies config.{guess,sub} from autotools-dev.
  * Add patches to upstream sources:
    - Convert the manpage to use minus signs and en-dashes instead of hyphens.
    - Correct a spelling error.
    - Remove an extra license file in documentation.

 -- Etienne Millon <etienne.millon@gmail.com>  Wed, 01 Dec 2010 16:55:26 +0100

zsnes (1.510-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the debian/rules clean problem, with a patch courtesy of
    Gunnar Wolf <gwolf@gwolf.org> (closes: #513205)
  * Urgency medium to fix RC bug in testing

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 03 Feb 2009 21:52:28 +0100

zsnes (1.510-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS (Closes: #474804).

 -- Ian Beckwith <ianb@erislabs.net>  Thu, 10 Apr 2008 22:20:59 +0100

zsnes (1.510-2) unstable; urgency=low

  * Acknowledge NMU, closes: #447366
  * Fix build failure with g++ 4.2, closes: #459033
  * Bump Standards-Version to 3.7.3
  * Move menu file from Apps to Applications. I think this closes: #443789.

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 10 Jan 2008 20:49:18 -0800

zsnes (1.510-1.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * Fix FTBFS, CRC32 is now a keyword in nasm, replace it by RomCRC32.
    Patch by Javier Serrano Polo <jasp00@terra.es>. (Closes: #447366)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 19 Nov 2007 03:26:31 +0100

zsnes (1.510-1) unstable; urgency=low

  * New upstream release - all patches merged. closes: #380734, #419270
  * Add a .desktop file, thanks Nicholas Wheeler. closes: #367942
  * Include a ton of documentation that ships with the tarball.
    closes: #392143 

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 04 Jun 2007 21:46:47 -0700

zsnes (1.420-1) unstable; urgency=low

  * New maintainer, acknowledge NMU. (closes: #301611, #293061)
  * Switch to dpatch.
  * Add patch from upstream CVS to fix 100% CPU problem while in GUI.
    (closes: #319299)
  * Since we do provide at least one sample ROM, there is absolutely
    no reason to leave this in contrib. Move to main (closes: #313137)
  * Add the Debian changelog back. The upstream changelog is no longer
    available, however. (closes: #320717)

 -- Joshua Kwan <joshk@triplehelix.org>  Mon,  9 Jan 2006 18:19:09 -0800

zsnes (1.420-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release (Closes: #293061)
  * Compiled with g++-4.0 to comply to the C++ ABI transition
  * Build-depend on `automake' to fix FTBFS (Closes: #301611)

 -- Philipp Kern <pkern@debian.org>  Sun, 24 Jul 2005 15:58:59 +0000

zsnes (1.400-1) unstable; urgency=low

  * New upstream version (Closes: #287161, #287998)
  * Fix manpage (Closes: #290463)

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 17 Jan 2005 18:53:03 -0800

zsnes (1.360-2) unstable; urgency=low

  * Enable OpenGL (Closes: #240397)
  * Apply save state patch (Closes: #199461, #164622)
  * Apply enhanced joystick support patch (Closes: #220270)
  * Add menu entry (Closes: #185024)

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 06 Sep 2004 22:29:19 -0700

zsnes (1.360-1) unstable; urgency=low

  * New upstream version

 -- Aaron Lehmann <aaronl@vitelus.com>  Sun, 11 Aug 2002 00:48:10 -0700

zsnes (1.337-4.1) unstable; urgency=low

  * Non maintainer upload.
  * stray '\' was breaking build (closes: #146802)
  * fix spelling error in description (closes: #125584)

 -- David Kimdon <dwhedon@debian.org>  Sun,  9 Jun 2002 21:25:42 -0700

zsnes (1.337-4) unstable; urgency=low

  * Fix build with new NASM
  * Update build-depends (Closes: #123725)

 -- Aaron Lehmann <aaronl@vitelus.com>  Sun, 16 Dec 2001 14:31:19 -0800

zsnes (1.337-3) unstable; urgency=medium

  * Recompile against new libsdl1.2debian
  * Update Build-Depends accordingly
  * Bump standards-version

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat, 20 Oct 2001 20:38:34 -0700

zsnes (1.337-2) unstable; urgency=medium

  * Don't let configure detect CPU-specific optimizations. Compile with
    -mcpu=pentiumpro instead. (Closes: #114342)

 -- Aaron Lehmann <aaronl@vitelus.com>  Wed,  3 Oct 2001 11:35:26 -0700

zsnes (1.337-1) unstable; urgency=low

  * New upstream release
     * Major binary size improvements.
     * Build system was converted to autoconf :(

 -- Aaron Lehmann <aaronl@vitelus.com>  Sun, 30 Sep 2001 20:01:43 -0700

zsnes (1.30b-1) unstable; urgency=low

  * New upstram version
  * Install more docs
  * Include example cartridge in /usr/share/doc/zsnes/examples

 -- Aaron Lehmann <aaronl@vitelus.com>  Thu, 21 Jun 2001 16:57:42 -0700

zsnes (1.28-1) unstable; urgency=low

  * New upstream version. Optimization fix applied upstream.

 -- Aaron Lehmann <aaronl@vitelus.com>  Wed, 30 May 2001 14:37:40 -0700

zsnes (1.25-1) unstable; urgency=low

  * New upstream release. Fixes bugs and adds optimizations. Double-buffering
    is now supported on Linux.
  * Wrote a fix for a bug triggered with compiler optimizations. Sent upstream.

 -- Aaron Lehmann <aaronl@vitelus.com>  Tue, 15 May 2001 21:05:32 -0700

zsnes (1.20-1) unstable; urgency=low

  * Initial Release.

 -- Aaron Lehmann <aaronl@vitelus.com>  Tue,  1 May 2001 19:40:50 -0700
